* {
      box-sizing: border-box;
      cursor: url("https://file.garden/ajLbFhWvoXZ6SJ_n/DerryCScrsr.png"), crosshair;
}

body {
      font-family: Georgia, 'Times New Roman', Times, serif;
      margin-top: -2%;
      padding: 0;
      background-color: #000000;
      color: #E8EEF2;
}
                        

            /* below this line is CSS for the layout */

            /* this is a CSS comment
    to uncomment a line of CSS, remove the * and the /
    before and after the text */


            /* the "container" is what wraps your entire website */
            /* if you want something (like the header) to be Wider than
    the other elements, you will need to move that div outside
    of the container */
#container {
      max-width: 900px;
                /* this is the width of your layout! */
                /* if you change the above value, scroll to the bottom
      and change the media query according to the comment! */
      margin: 0 auto;
                /* this centers the entire page */
}

            /* the area below is for all links on your page
    EXCEPT for the navigation */
#container a {
      color: #77a6e4;
      font-weight: bold;
      cursor: url("https://file.garden/ajLbFhWvoXZ6SJ_n/cursor2.png"), pointer;
                /* if you want to remove the underline
      you can add a line below here that says:
      text-decoration:none; */
}

#header {
      width: 100%;
      height: 150px;
      background-image: url('https://file.garden/ajLbFhWvoXZ6SJ_n/DerryCShdr.png');
      background-size: 100%;
      border-radius: 20px;
}

#leftSidebar {
      margin-right: 10px;
}

#leftSidebar h3 {
      margin-bottom: -3px;
}

            /* navigation section!! */
#navbar {
      height: auto;
                /* navbar color */
      width: 100%;
      background-color: #000000;
      border: 1px solid #E8EEF2;
      border-radius: 10px;
      padding-bottom: 10px;
}

#navbar ul {
      padding: 0;
      margin: 0;
      list-style-type: none;
      margin-bottom: 5%;
}

#navbar li {
      padding-top: 10px;
      margin-left: 12%;
}

            /* navigation links*/
#navbar li a {
      color: #E8EEF2;
                /* navbar text color */
      font-weight: 800;
      font-size: medium;
      text-decoration: none;
                /* this removes the underline */
}

            /* navigation link when a link is hovered over */
#navbar li a:hover {
      color: #77a6e4;
      text-decoration: line-through;
}

#flex {
      display: flex;
}

            /* this colors BOTH sidebars
    if you want to style them separately,
    create styles for #leftSidebar and #rightSidebar */
aside {
      background-color: #3e4047;
      width: 200px;
      padding: 20px;
      font-size: smaller;
      border-radius: 25px;
      margin-bottom: 1%;
}


            /* this is the color of the main content area,
    between the sidebars! */
main {
      background-color: #3e4047;
      flex: 1;
      padding: 20px;
      order: 2;
      border-radius: 25px;
      margin-bottom: 1%;
}

            /* what's this "order" stuff about??
    allow me to explain!
    if you're using both sidebars, the "order" value
    tells the CSS the order in which to display them.
    left sidebar is 1, content is 2, and right sidebar is 3! */

#leftSidebar {
      order: 1;
}

#rightSidebar {
      order: 3;
}

footer {
                /* background color for footer */
      width: 100%;
      height: 40px;
      padding: 10px;
      text-align: center;
                /* this centers the footer text */
}
h3 {
      margin-bottom: -4px;
      text-align: center;
      margin-top: 0;
}

strong {
                /* this styles bold text */
      color: #77a6e4;
}

.two-boxes {
      display: grid;
      grid-template-areas: 
      "leftbox rightbox";
      justify-content: space-evenly;
}

.two-boxes h2 {
      font-size: larger;
      margin-left: 10px;
      margin-bottom: 0;
}

.two-boxes ul {
      margin-top: 5px;
}

.leftbox {
      margin-right: 10px;
}

.oneboxdecor {
      background-color: #000000;
      border: 1px dashed #E8EEF2;
      height: 350px;
      margin-bottom: 10px;
      overflow-y: auto;
}

.twoboxdecor {
      border: 1px dotted #E8EEF2;
      height: 350px;
      margin-bottom: 10px;
      overflow-y: auto;
}

.boxes {
      display: grid;
      grid-template-areas:
      "box-1 box-2 box-3";
      justify-content: space-evenly;
}

.boxes h3 {
      color: #77a6e4;
}

            /* this is just a cool box, it's the darker colored one */
.box {
      background-color: #000000;
      border: 1px dashed #E8EEF2;
      height: 150px;
      width: 200px;
      padding: 10px;
      overflow-y: auto;
}

.box h3 {
      margin-top: 0; 
      margin-bottom: 5px; 
      font-size: 16px;
}

.btnbox {
      background-color: #000000;
      border: 1px solid #E8EEF2;
      border-radius: 10px;
      width: auto;
      padding: 10px;
      overflow: auto;
      font-size: x-small;
}

.shelf {
      display: flex;
      max-height: 200px;
      overflow-y: hidden;
      overflow-x: auto;
}

.shelf div {
      display: inline-block;
      border: 1px dotted #E8EEF2;
      margin: 5px;
      box-sizing: border-box;
      width: calc(25% -5px -5px);
      height: 180px;
      position: relative;
      flex: 0 0 auto;
}

.shelf div img{
      width: 100%;
      height: 100%;
      object-fit: cover;
}

.shelf div span {
      position: absolute;
      bottom: 15px;
      left: 0;
      width: 100%;
      box-sizing: border-box;
      background-color: #E8EEF2;
      color: #3e4047;
      text-align: center;
      padding: 5px 10px;
      font-size: 15px;
      opacity: 0;
      transform: translateY(100px);
      transition: transform 0.4s ease, opacity 0.5s ease;
}

.shelf div:hover span {
      opacity: 1;
      transform: none;
      color: #77a6e4;
}

.shelf div:hover img {
      filter: saturate(0);
}

.nametag {
      padding: 5px;
      text-align: center;
      background-color: #000000;
      border: 1px solid #E8EEF2;
      border-radius: 25px;
      margin-top: 5px;
      margin-bottom: 5px;
}

.images {
      display: flex;
      flex-wrap: wrap;
}

.images div{
      border: 1px dotted #E8EEF2;
      margin: 5px;
      box-sizing: border-box;
      width: calc(25% - 5px - 5px);
      height: 180px;
      position: relative;
}

.images div img{
      width: 100%;
      height: 100%;
      object-fit: cover;
}

.images div span {
      position: absolute;
      bottom: 15px;
      left: 0;
      width: 100%;
      box-sizing: border-box;
      background-color: #E8EEF2;
      color: #3e4047;
      text-align: center;
      padding: 5px 10px;
      font-size: 15px;
      opacity: 0;
      transform: translateY(100px);
      transition: transform 0.4s ease, opacity 0.5s ease;
}

.images div:hover span {
      opacity: 1;
      transform: none;
      color: #77a6e4;
}

.images div:hover img {
      filter: saturate(0);
}
            /* BELOW THIS POINT IS MEDIA QUERY */

            /* so you wanna change the width of your page? 
    by default, the container width is 900px.
    in order to keep things responsive, take your new height,
    and then subtrack it by 100. use this new number as the 
    "max-width" value below
    */

@media only screen and (max-width: 860px) {
      #flex {
            flex-wrap: wrap;
      }

      aside {
            width: 100%;
            margin-bottom: 2%;
            margin-right: 0;
      }

                /* the order of the items is adjusted here for responsiveness!
      since the sidebars would be too small on a mobile device.
      feel free to play around with the order!
      */
      main {
            order: 2;
      }

      #header {
            background-size:auto;
            background-position: center;
      }

      #leftSidebar {
            order: 1;
            margin-right: 0;
      }

      #navbar ul {
            margin-bottom: 1%;
      }
      #navbar ul li {
            margin-left: 5%;
      }
      .boxes {
            display: grid;
            grid-template-areas:
            "box-1"
            "box-2"
            "box-3";
            row-gap: 2%;
            padding-bottom: 3%;
            justify-content: stretch;
      }
      .two-boxes {
            display: grid;
            grid-template-areas: 
            "oneboxdecor"
            "twoboxdecor";
            justify-content: stretch;
      }
      .leftbox {
            margin-right: 0;
      }
      .boxes h3 {
            text-align: left;
      }
      .box {
            display: block;
            width: 100%;
            height: 100px;
      }
      .mybtn {
            display: none;
      }

      .images div {
            width: calc(50% - 5px - 5px);
            height: 350px;
      }
}

#flex li {
    list-style-type: "★ ";
}

.shelf::-webkit-scrollbar-thumb {
      background: #E8EEF2;
}

/* Scrollbar styling */
::-webkit-scrollbar {
    width: 8px;
    /* Vertical Width */
    height: 8px;
    /* Horizontal Height */
}

/* Scrollbar Track Color */
::-webkit-scrollbar-track {
    background: transparent;
    border-radius: 2%;
}

/* Scrollbar Thumb Color */
::-webkit-scrollbar-thumb {
    background: transparent;
    border-radius: 0px;
    border: 2px solid transparent;
}

/* Thumb Hover */
::-webkit-scrollbar-thumb:hover {
    background: #77a6e4;
}